vbe_info_t Struct Reference
Public interface » ID macros » Device information structs

VESA BIOS extensions information Also includes a VESA mode list. More...

`#include <hd.h>`

## Data Fields

unsigned | ok:1
| data are valid
unsigned | version
| vbe version
unsigned | oem_version
| oem version info
unsigned | memory
| in bytes
unsigned | fb_start
| != 0 if framebuffer is supported
char * | oem_name
| oem name
char * | vendor_name
| vendor name
char * | product_name
| product name
char * | product_revision
| product revision
unsigned | modes
| number of supported video modes
vbe_mode_info_t * | mode
| video mode list
unsigned | current_mode
| current video mode
unsigned | ddc_ports
| max ports to probe
unsigned char | ddc_port [4][0x80]
| ddc monitor info per port

## Detailed Description

VESA BIOS extensions information Also includes a VESA mode list.

See also
  vbe_mode_info_t

The documentation for this struct was generated from the following file:

- hd.h